프로젝트 일시 삭제합니다. 프로젝트 에 활성 작업 공간이 있는 경우 409 PROJECT_HAS_ACTIVE_WORKSPACES를 반환합니다(사용자가 먼저 해당 작업 공간을 삭제 해야 함). 그렇지 않으면 프로젝트별 TenantEnvironment를 해체하고 역할 할당/ API 키/정책을 정리합니다.
DELETE /api/v1/projects/{id}
curl \
--request DELETE 'https://agentengine.mongodb.com/api/v1/projects/{id}' \
--header "Authorization: $API_KEY"
응답 예시(406)
작업을 사용할 수 없습니다.
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(409)
{
"code": "string",
"detail": "string",
"details": {
"truncated": true,
"workspace_count": 42,
"workspace_ids": [
"string"
]
},
"error": "string",
"success": true
}
응답 예시(409)
{
"code": "string",
"detail": "string",
"details": {
"truncated": true,
"workspace_count": 42,
"workspace_ids": [
"string"
]
},
"error": "string",
"success": true
}
응답 예시(500)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(500)
{
"code": "string",
"error": "string",
"success": true
}